name: Gotcha
options:
  bundleIdPrefix: de.rfc1437
settings:
  ENABLE_USER_SCRIPT_SANDBOXING: NO
targets:
  Gotcha:
    type: application
    platform: iOS
    deploymentTarget: "17.0"
    settings:
      PRODUCT_BUNDLE_IDENTIFIER: de.rfc1437.gotcha
      DEVELOPMENT_TEAM: MU22FMRGK8
      CODE_SIGN_STYLE: Automatic
      TARGETED_DEVICE_FAMILY: "1"
      CODE_SIGN_ENTITLEMENTS: Gotcha.entitlements
      SWIFT_VERSION: "5.0"
      SWIFT_OBJC_BRIDGING_HEADER: Gotcha-Bridging-Header.h
      LIBRARY_SEARCH_PATHS: "$(inherited) $(DERIVED_FILE_DIR)/rust"
      OTHER_LDFLAGS: "$(inherited) -lgotcha_core"
    info:
      path: Info.plist
      properties:
        CFBundleDisplayName: Gotcha
        UILaunchScreen: {}
        UISupportedInterfaceOrientations:
          - UIInterfaceOrientationPortrait
    sources:
      - Assets.xcassets
      - Sources
      - Generated/gotcha_core.swift
    preBuildScripts:
      - name: Build Rust core
        basedOnDependencyAnalysis: false
        script: |
          ./build_rust_core.bash
        outputFiles:
          - $(DERIVED_FILE_DIR)/rust/libgotcha_core.a
